Bug 989156 - Install VNC option IP (non-DHCP) doesn't setup interface params
Install VNC option IP (non-DHCP) doesn't setup interface params
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
Depends On:
Blocks: 990071
  Show dependency treegraph
Reported: 2013-07-27 22:16 EDT by brian
Modified: 2015-02-18 06:13 EST (History)
8 users (show)

See Also:
Fixed In Version: anaconda-20.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 990071 (view as bug list)
Last Closed: 2015-02-18 06:13:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description brian 2013-07-27 22:16:12 EDT
Description of problem:
Trying to perform remote install of F19 using VNC option.  Machine has 3 physical network cards, and I cannot use DHCP network config (since I'm replacing the DHCP server on my network) of the network, so I am adding the following boot options:

boot:  linux ip= vnc

Install continues to boot like it will work, but the network never is started on the installing machine.

Also tried other various derivatives of this including adding a DNS server, "NONE" instead of "OFF" for DHCP, etc.  No change.
At the boot option, if I Crontrol-B 2 and enter 
ip addr

I see 3 network interfaces plus lo, (enp2s0, enp3s5, and enp3s6), none of them have IPV4 addresses configured.  

"ip route"  shows no entries.

Finally, I performed the 2 commands from the command prompt shell:
ip addr add dev enp2s0
ip route add dev enp2s0

After these two commands, the network comes up, can be pinged, and the VNC connection works.

In this install, I am sitting physically next to install machine so I can enter ip commands to config network, but this is practice for truly remote install where this won't be so easy.

I also attempted 
boot:  linux vnc 
(no ip address setup), but since the install server would normally act as DHCP, nothing is configured here either.

Version-Release number of selected component (if applicable):

How reproducible:
During install, hit ESC, enter 
boot:  linux ip= vnc

Steps to Reproduce:
1.  Attempt VNC install without DHCP network configuration

Actual results:
No network interfaces are started with IPV4 addresses.

Expected results:
Network address should be configured on interface enp2s0

Additional info:
Comment 1 Vratislav Podzimek 2013-07-29 05:06:36 EDT
This is an anaconda or possibly dracut issue, reassigning.
Comment 2 Radek Vykydal 2013-07-29 06:27:50 EDT
There at least two causes of the bug:

1) Anaconda does not add rd.neednet=1 automatically for vnc boot parameter so network is not brought up in initramfs using the boot options. You can add the parameter yourself as a workaround. I'll fix this.

2) In F19 new network device naming scheme (eg enp2s0) does not work in initramfs (which has been already fixed) so you'll need to use probably biosdevname naming scheme. The device will be named to something like p3p1, you can learn it by issuing
journalctl -a | grep renamed
command from tty2.
Comment 3 brian 2013-07-29 22:43:36 EDT
Thank you much.  Adding the rd.neednet=1 and the correct interface name (would have never found that name, enpxpx was hard enough to find with the "ip addr" command.

So my boot line is as follows (for anyone to come after me)

boot:  linux rd.neednet=1 ip= vnc

works like a charm, good workaround until the rd.neednet bug is fixed.

Comment 4 Fedora End Of Life 2015-01-09 17:35:11 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-18 06:13:19 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.